#ifndef ABALONE_H
#define ABALONE_H

#include <MixedMode.h>
#ifndef THINK_C
#include <Events.h>
#include <Types.h>
#include <QuickDraw.h>
#endif

short			UserTime (void);
void			SystemTime (void);
pascal Boolean	IdleTime (EventRecord *, long, RgnHandle);
Boolean			IsAppWindow (WindowPtr window);
Boolean			IsDAWindow (WindowPtr window);
void			AdjustMenus (void);
void			AdjustCursor (Point *mouse);


enum
{
	arrowCursor = 0,
	blackBallMover = 128,
	whiteBallMover,
	greenBallMover,
	blackBallSolid = 140,
	whiteBallSolid,
	greenBallSolid
};

void		CurrentCursor (short id);

#endif

#ifdef ABALONE_C

#include "AEHandler.h"
#include "AppleEvent.h"
#include "Board.h"
#include "Compute.h"
#include "Connection.h"
#include "Define.h"
#include "DoEvent.h"
#include "Draw3D.h"
#include "Error.h"
#include "File.h"
#include "Game.h"
#include "Global.h"
#include "InsideMac.h"
#include "Interface.h"
#include "Menu.h"
#include "Rules.h"
#include "Settings.h"

#ifndef THINK_C
#include <AppleEvents.h>
#include <Controls.h>
#include <Desk.h>
#include <Dialogs.h>
#include <Errors.h>
#include <Events.h>
#include <Files.h>
#include <Fonts.h>
#include <Limits.h>
#include <Memory.h>
#include <Menus.h>
#include <OSUtils.h>
#include <Resources.h>
#include <SegLoad.h>
//#include <SysEqu.h>
#include <TextEdit.h>
#include <ToolUtils.h>
#include <Windows.h>
#endif



void			Initialize (void);
void			EventLoop (void);
void			EnDisableItem (MenuHandle m, short item, Boolean onoff);
void			InstallUserItems (WindowPtr window);
pascal OSErr	GotRequiredParams (AppleEvent *theAppleEvent);

#endif
