#ifndef CONTEST_H
#define CONTEST_H


#include "Error.h"
#include "Rules.h"

#ifndef THINK_C
#include <Types.h>
#endif

typedef char 	Coordinate[2];
typedef char	*CoordinatePtr;


void		FieldToCoordinate (Field, CoordinatePtr);
Field		CoordinateToField (Coordinate);
void		MoveToContestNotation (MovePtr source, CoordinatePtr destination, BoardPtr board);
//void		ContestNotationToMove (CoordinatePtr source, MovePtr destination);

#endif

#ifdef CONTEST_C

void		SimpleMoveToContestNotation (MovePtr source, CoordinatePtr destination);
void		NormalMoveToContestNotation (MovePtr source, CoordinatePtr destination, BoardPtr board);
void		FlicheMoveToContestNotation (MovePtr source, CoordinatePtr destination);
//void		ContestNotationToSimpleMove (CoordinatePtr source, MovePtr destination);
//void		ContestNotationToNormalMove (CoordinatePtr source, MovePtr destination);
//void		ContestNotationToFlicheMove (CoordinatePtr source, MovePtr destination);
short		ContestNotationDirection (CoordinatePtr, CoordinatePtr);
short		ContestNotationLineDirection (CoordinatePtr);
short		ContestNotationMoveDirection (CoordinatePtr);
#define 	COCOPY(C1,C2) (((C1)[0] = (C2)[0], (C1)[1] = (C2)[1]))

#endif
