// MenuPrivate.h
// Declarations internal to the menu module of Mike's Life.
// Copyright 1995 Michael D. Crawford.  All Rights Reserved.
// 11 Jun 95 Mike Crawford crawford@scruznet.com
//
// Revision History:
// 11 Jun 95	MDC	New today

void DoAppleMenu( short item );
void DoFileMenu( short item );
void DoEditMenu( short item );
void DoLifeMenu( short item );

#define rMBarID	128
#define rAppleMenuID	128
#define rFileMenuID		129
#define rEditMenuID		130
#define rLifeMenuID		131

enum {
	kAMAboutItem = 1,
	kAMDash1
};

enum {
	kFMNewItem = 1,
	kFMOpenItem,
	kFMCloseItem,
	kFMSaveItem,
	kFMSaveAsItem,
	kFMDash1,
	kFMPageSetupItem,
	kFMPrintItem,
	kFMDash2,
	kFMQuitItem
};

enum {
	kEMUndoItem = 1,
	kEMDash1,
	kEMCutItem,
	kEMCopyItem,
	kEMPasteItem,
	kEMClearItem,
	kEMDash2,
	kEMSelectAllItem,
	kEMDash3,
	kEMPreferencesItem,
	kEMDash4,
	kEMShowClipboardItem
};

enum {
	kLMRunItem = 1,
	kLMStopItem
};
