#include "program init.h"
#include "environment.h"
#include "window layer.h"
#if USE_MUSIC
#include "music layer.h"
#endif
#if USE_ANIMATED_CURSOR
#include "cursor layer.h"
#endif
#include "pent.h"

void InitTheProgram(void)
{
#if USE_MUSIC
	if (gMusicToggle)
		StartTheMusic();
#endif

#if USE_ANIMATED_CURSOR
	SetupTheAnimatedCursor(1003, 1);
#endif
	InitGame();
	if (gIsVirgin)
		OpenTheIndWindow(kHelpWindow, kAlwaysOpenNew);
}

Boolean ShutDownTheProgram(void)
{
	WindowRef		theWindow;
	
	gDone=TRUE;
	
	while ((theWindow=GetFrontDocumentWindow())!=0L)
		if (!CloseTheWindow(theWindow))
			return FALSE;
	
	while ((theWindow=FrontWindow())!=0L)
		if (!CloseTheWindow(theWindow))
			return FALSE;
	
#if USE_ANIMATED_CURSOR
	/* ShutdownTheAnimatedCursor(); */
#endif
	
	return TRUE;
}
