#include "save dialog.h"
#include "dialog layer.h"
#include "memory layer.h"
#include "pent load-save.h"
#include "window layer.h"

short DisplaySaveAlert(WindowRef theWindow, Str255 saveStr, Str255 fileName, Str255 verb)
{
	short			result;
	FSSpec			fs;
	Str255			newSaveStr;
	
	if (WindowIsModifiedQQ(theWindow))
	{
		SetCursor(&qd.arrow);
		Mymemcpy((Ptr)newSaveStr, (Ptr)saveStr, saveStr[0]+1);
		if (fileName[0]!=0x00)
			AppendStr255(newSaveStr, "\p ");
			
		result=DisplayTheAlert(kCautionAlert, kSaveAlertID, newSaveStr, fileName,
			(fileName[0]==0x00) ? "\p" : "\p", verb, (UniversalProcPtr)SaveModalFilter);
		switch (result)
		{
			case 1:
				fs=GetWindowFS(theWindow);
				LoadSaveDispatch(&fs, FALSE, TRUE);
				return (WindowIsModifiedQQ(theWindow)) ? kUserCanceled : kUserSaved;
			case 2:
				return kUserCanceled;
			case 3:
				return kUserDidntSave;
		}
	}
	
	return kUserSaved;
}
