// SpriteCicnNumbers.h by Stefan C. Sinclair Copyright  1995 All Rights Reserved

#ifndef _SPRITECICNNUMBERS_
#define _SPRITECICNNUMBERS_

#define kFirstSpriteResNum		128
#define kMaskFrameOffset		200
#define kFirstProjectileResNum	214
#define kFirstDeathResNum		218
#define kNumberOfWarriorFrames	86
#define kTotalFramesOneWay	(kNumberOfWarriorFrames/2) // normal actions ONLY
#define kNumberOfProjectileFrames	4	

#define cicnIdleStart			(128-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnIdleEnd				(132-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnKickStart			(133-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnKickEnd				(137-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnPunchStart			(138-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnPunchEnd			(142-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnRunStart			(143-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnRunEnd				(148-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnGotHitStart			(149-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnGotHitEnd			(150-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnJumpStart			(151-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnJumpEnd				(160-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnJumpAttackStart		(161-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnJumpAttackEnd		(161-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnJumpPunchStart		(162-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnJumpPunchEnd		(162-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnJumpKickStart		(163-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnJumpKickEnd			(163-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnBlockStart			(164-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnBlockEnd			(164-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnDuckStart			(165-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnDuckEnd				(165-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnUppercutStart		(166-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnUppercutEnd			(167-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnTauntStart			(168-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnTauntEnd			(169-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnShootStart			(170-kFirstSpriteResNum+rightSideAdjustFrames)
#define cicnShootEnd			(170-kFirstSpriteResNum+rightSideAdjustFrames)

#define cicnProjectileStart		(214-kFirstProjectileResNum+rightSideAdjustFrames)
#define cicnProjectileEnd		(215-kFirstProjectileResNum+rightSideAdjustFrames)

//These only load at the end once the rest of the frames have been disposed of.
#define cicnDyingStart			(218-kFirstDeathResNum+rightSideAdjustFrames)
#define cicnDyingEnd			(227-kFirstDeathResNum+rightSideAdjustFrames)
// THESE WILL NEED SOME MORE ADJUSTING I THINK!!!!!!!!
#define cicnRideChairStart	(238-kFirstDeathResNum+rightSideAdjustFrames)
#define cicnRideChairEnd	(238-kFirstDeathResNum+rightSideAdjustFrames)

#define cicnPushChairStart	(240-kFirstDeathResNum+rightSideAdjustFrames)
#define cicnPushChairEnd	(240-kFirstDeathResNum+rightSideAdjustFrames)

#define kMaxPunchFrames	5
#define kMaxKickFrames	5
#define kMaxGotHitFrames	2
#define kMaxDeathFrames		10

#endif /* SpriteCicnNumbers */