// SpriteFile.c by Stefan C. Sinclair
// Copyright 1995 - 1996 All rights reserved.

#include "SpriteFile.h"

extern Boolean gQT;

short GetMySpriteFile(SpriteFilePtr theFile)
{  
	OSErr              error;
	SFTypeList			typeList = { kSpriteFileType, 0, 0, 0 };
	Str255				movieName;
	Boolean            wasChanged, gotFile = FALSE;
	FileFilterUPP	myFileFilter;
	short			ResID = 0;
	short			MovieResFile; // This number can be used to get the sprites, too!

	myFileFilter = NewFileFilterProc(MySpriteFileFilter);
	ResID = 0;
	
	if(gQT == TRUE)
		StandardGetFilePreview( myFileFilter, 1/*numTypes*/, typeList, theFile);
	else
		StandardGetFile(myFileFilter, 1, typeList, theFile);

	if ( theFile->sfGood == TRUE ) 
	{          
		gotFile = TRUE;
   	}
   	
   	return gotFile;
}

/* This filters out (discards) all but my 'kSpriteFileType' files.
It even seeks out the invisible ones! Hmmm....   */
pascal Boolean MySpriteFileFilter(fileParam *thePB )
{
	if ( thePB->ioFlFndrInfo.fdType == kSpriteFileType )
		return(FALSE);		/* Myst movie file, keep it in the list */
	else
		return(TRUE);			/* Nope, filter it from the list */
}

short GetMyArenaFile(CombatZoneFilePtr theFile)
{  
	OSErr              error;
	SFTypeList			typeList = { kArenaFileType, 0, 0, 0 };
	Str255				movieName;
	Boolean            wasChanged, gotFile = FALSE;
	FileFilterUPP	myFileFilter;
	Point	here = {100,100};

	myFileFilter = NewFileFilterProc(MyArenaFileFilter);
	
	StandardGetFile(myFileFilter, 1, typeList, theFile);
	if(theFile->sfGood) 
	{          
		gotFile = TRUE;
   	}
   	
   	return gotFile;
}

/* This filters out (discards) all but my 'kArenaFileType' files.
It even seeks out the invisible ones! Hmmm....   */
pascal Boolean MyArenaFileFilter(fileParam *thePB )
{
	if ( thePB->ioFlFndrInfo.fdType == kArenaFileType )
		return(FALSE);		/* Myst movie file, keep it in the list */
	else
		return(TRUE);			/* Nope, filter it from the list */
}
