/*******************************************************
*** SpriteSecretCodes.h
*** By: Stefan C. Sinclair
*** Copyright  1996 All Rights Reserved Worldwide.
*** Brief description here
*******************************************************/

#ifndef _SPRITESECRETCODES_
#define _SPRITESECRETCODES_

#include <Sound.h>
#include <Speech.h>

// Secret codes!
#define kPongCode				0
#define kPongCodeKey			"pong"
#define kDoubleDamageCode		1
#define kDoubleDamageCodeKey	"dubl"
#define kNoRegenerationCode		2
#define kNoRegenerationCodeKey	"weak"
#define kNoProjectileCode		3
#define kNoProjectileCodeKey	"dudz"
#define kNoFatalityCode			4
#define kNoFatalityCodeKey		"hapy"
#define kDoubleTimeCode			5
#define kDoubleTimeCodeKey		"long"
#define kHighJumpCode			6
#define kHighJumpCodeKey		"high"
#define kSuperJACode			7
#define kSuperJACodeKey			"yike"
#define kFastProjectileCode		8
#define kFastProjectileCodeKey	"boom"
#define kSlowProjectileCode		9
#define kSlowProjectileCodeKey	"poop"
#define kSF2KCode				10
#define kSF2KCodeKey			"sf2k"
#define kBGAnimationCode		11
#define kBGAnimationCodeKey		"blah"
#define kFGAnimationCode		12
#define kFGAnimationCodeKey		"dork"
#define kNoBGMusicCode			13
#define kNoBGMusicCodeKey		"shh!"
#define kNumSecretCodes			14

#define kSecretCodeSndID		1000

// Function Protos
void MainLoopCodeCheck(char key);

#endif // end SpriteSecretCodes