//  Spritez.h
// By Stefan C. Sinclair Copyright  1995 All rights reserved.


#ifndef __SPRITEZ__
#define __SPRITEZ__

#ifndef __MENUS__
#include <Menus.h>
#endif

#ifndef __SPRITEWORLD__
#include "SpriteWorld.h"
#endif

#ifndef __SPRITE__
#include "Sprite.h"
#endif

#include "StefSpritez.h"
#include "SpriteFile.h"
#include "SpriteCicnNumbers.h"

#define kBackDropPixPatID		128
#define kArenaPICTResID			128
#define kComputerWinPICTResID	135
#define kP1WinPICTResID			136
#define kP2WinPICTResID			137

#define kBGMusicResID			128

#define kNumberOfSecondsPerRound	90
		
#define kHourGlassW				73
#define kHourGlassH				39
#define kHourGlassTop			52
#define kHourGlassLeft			4
#define kHourGlassBottom		(kHourGlassTop+kHourGlassH)
#define kHourGlassRight			(kHourGlassLeft+kHourGlassW)

#define kTimeRectTop			(kHourGlassTop+12)
#define kTimeRectLeft			(kHourGlassLeft+30)
#define kTimeRectBottom			(kHourGlassBottom-12)
#define kTimeRectRight			(kHourGlassRight-8)

#define kDrawTimeBottom			(kTimeRectBottom-2)
#define kDrawTimeLeft			(kTimeRectLeft+2)
#define kDrawTimeTextSize		14
#define kDrawTimeTextFont		systemFont
#define DRAW_TIME				{TextFont(kDrawTimeTextFont);TextSize(kDrawTimeTextSize); \
								EraseRect(&timeRect);MoveTo(kDrawTimeLeft,kDrawTimeBottom); \
								DrawString(timeStr);}

OSErr CombatCommand(Boolean *player1Victorious);
OSErr CreateSpriteGame(SpriteGamePtr gPtr);
void MyDisposeSpriteGame(SpriteGamePtr spriteGameP);
void SpriteTestCommand(	CWindowPtr srcWindowP);
void SetupSpriteGame(SpriteGamePtr gPtr);
void SpriteFuneral(short theWinner);
short DetermineWinner(SpriteWorldPtr spriteWorldP);

#endif /* Spritez */