C = SC
PPC = PPCC
Temp = :
#Temp = ::Objects:
COptions = -mbg off -opt all -r
PPCOptions = -w conformance -appleext on -align mac68k -y "{TempFolder}"
ROptions = -d SystemSevenOrLater=TRUE -append
LOptions = -sym on -w -t APPL -c A1e -sg Rest=More,STDCLIB,SANELIB

POWERPCOBJECTS = 
		"{TempFolder}Abalone.o" 
		"{TempFolder}AEhandler.o" 
		"{TempFolder}AppleEvent.o" 
		"{TempFolder}arnold.o" 
		"{TempFolder}Board.o" 
		"{TempFolder}Compute.o" 
		"{TempFolder}Connection.o" 
		"{TempFolder}Contest.o" 
		"{TempFolder}DoEvent.o" 
		"{TempFolder}Draw3D.o" 
		"{TempFolder}Error.o" 
		"{TempFolder}File.o" 
		"{TempFolder}Game.o" 
		"{TempFolder}Global.o" 
		"{TempFolder}InsideMac.o" 
		"{TempFolder}Interface.o" 
		"{TempFolder}Rules.o" 
		"{TempFolder}Settings.o" 
		"{TempFolder}SoundPlay.o" 
		"{TempFolder}Strategies.o" 
		"{TempFolder}StringLib.o" 

68KOBJECTS = 
		"{TempFolder}Abalone.c.o" 
		"{TempFolder}AEHandler.c.o" 
		"{TempFolder}AppleEvent.c.o" 
		"{TempFolder}Connection.c.o" 
		"{TempFolder}Draw3D.c.o" 
		"{TempFolder}Interface.c.o" 
		"{TempFolder}Game.c.o" 
		"{TempFolder}Board.c.o" 
		"{TempFolder}Strategies.c.o" 
		"{TempFolder}Arnold.c.o" 
		"{TempFolder}Arnold.a.o" 
		"{TempFolder}Compute.c.o" 
		"{TempFolder}Contest.c.o" 
		"{TempFolder}DoEvent.c.o" 
		"{TempFolder}Error.c.o" 
		"{TempFolder}File.c.o" 
		"{TempFolder}Global.c.o" 
		"{TempFolder}Settings.c.o" 
		"{TempFolder}InsideMac.c.o" 
		"{TempFolder}Rules.c.o" 
		"{TempFolder}SoundPlay.c.o" 
		"{TempFolder}StringLib.c.o"


Abalone_68K   Abalone.r Abalone.rsrc
	Rez {ROptions} Abalone.r -o Abalone_68K
	Rez {ROptions} Abalone.r -o Abalone.rsrc
#	make a copy to Abalone.rsrc for MW projects
	
Abalone_68K   Error.r
	Rez {ROptions} Error.r -o Abalone_68K
	Rez {ROptions} Error.r -o Abalone.rsrc
#	make a copy to Abalone.rsrc for MW projects

Abalone_68K   Background.r 'Background #1.rsrc' 'Background #2.rsrc' 'Background #3.rsrc'
	Rez {ROptions} Background.r -o Abalone_68K
	

Abalone	 	 Abalone_68K
	Duplicate -y Abalone_68K Abalone


Abalone   Abalone.r
	Rez {ROptions} Abalone.r -o Abalone

Abalone    {POWERPCOBJECTS} Abalone_68K
	PPCLink -t 'APPL' -c 'A1e' 
		-librename InterfaceLib.xcoff=InterfaceLib 
		-librename MathLib.xcoff=MathLib 
		-librename StdCLib.xcoff=StdCLib 
		{POWERPCOBJECTS} 
		"{SharedLibraries}"InterfaceLib 
		"{SharedLibraries}"StdCLib 
		"{PPCLibraries}"MathLib.xcoff 
		"{PPCLibraries}"StdCRuntime.o 
		"{PPCLibraries}"PPCCRuntime.o 
		"{PPCLibraries}"PPCToolLibs.o 
		-librename MathLib.xcoff=MathLib 
		-o Abalone

		
"{TempFolder}Abalone.o"   Abalone.c Abalone.h AEHandler.h Board.h Contest.h Error.h Rules.h Game.h Draw3D.h Global.h Settings.h InsideMac.h Interface.h Compute.h Connection.h File.h Menu.h SoundPlay.h Strategies.h AppleEvent.h StringLib.h Define.h DoEvent.h
	 {PPC} {PPCOptions}  Abalone.c -o "{TempFolder}Abalone.o"
"{TempFolder}AEhandler.o"   AEhandler.c AEHandler.h Board.h Contest.h Error.h Rules.h Game.h Draw3D.h Global.h Settings.h Connection.h StringLib.h InsideMac.h Interface.h Compute.h Abalone.h Strategies.h File.h Define.h Menu.h SoundPlay.h AppleEvent.h DoEvent.h
	 {PPC} {PPCOptions}  AEhandler.c -o "{TempFolder}AEhandler.o"
"{TempFolder}AppleEvent.o"   AppleEvent.c AppleEvent.h AEHandler.h Board.h Contest.h Error.h Rules.h Game.h Draw3D.h Global.h Settings.h InsideMac.h Interface.h Compute.h Connection.h File.h Menu.h SoundPlay.h Strategies.h Abalone.h Define.h DoEvent.h
	 {PPC} {PPCOptions}  AppleEvent.c -o "{TempFolder}AppleEvent.o"
"{TempFolder}arnold.o"   arnold.c Arnold.h Board.h Contest.h Error.h Rules.h Game.h Draw3D.h Global.h Settings.h Connection.h StringLib.h InsideMac.h Interface.h Compute.h Abalone.h Strategies.h File.h Define.h Menu.h SoundPlay.h
	 {PPC} {PPCOptions} -O time  arnold.c -o "{TempFolder}arnold.o"
"{TempFolder}Board.o"   Board.c Board.h Contest.h Error.h Rules.h Game.h Draw3D.h Global.h Settings.h Connection.h AEHandler.h AppleEvent.h Interface.h Define.h StringLib.h InsideMac.h Menu.h File.h Compute.h Abalone.h DoEvent.h SoundPlay.h Strategies.h
	 {PPC} {PPCOptions}  Board.c -o "{TempFolder}Board.o"
"{TempFolder}Compute.o"   Compute.c Compute.h Abalone.h AEHandler.h Board.h Contest.h Error.h Rules.h Game.h Draw3D.h Global.h InsideMac.h Interface.h Menu.h Settings.h File.h Define.h Connection.h AppleEvent.h StringLib.h SoundPlay.h Strategies.h DoEvent.h
	 {PPC} {PPCOptions} -O time  Compute.c -o "{TempFolder}Compute.o"
"{TempFolder}Connection.o"   Connection.c Connection.h Global.h Rules.h Error.h Game.h Board.h Contest.h Compute.h Abalone.h AEHandler.h Menu.h AppleEvent.h Define.h DoEvent.h File.h Interface.h Draw3D.h InsideMac.h Settings.h Strategies.h SoundPlay.h
	 {PPC} {PPCOptions}  Connection.c -o "{TempFolder}Connection.o"
"{TempFolder}Contest.o"   Contest.c Contest.h Error.h Rules.h Game.h Board.h Compute.h Abalone.h AEHandler.h Global.h Settings.h Menu.h AppleEvent.h StringLib.h Connection.h Interface.h Define.h DoEvent.h Draw3D.h File.h InsideMac.h SoundPlay.h Strategies.h
	 {PPC} {PPCOptions}  Contest.c -o "{TempFolder}Contest.o"
"{TempFolder}DoEvent.o"   DoEvent.c DoEvent.h Abalone.h AEHandler.h Board.h Contest.h Error.h Rules.h Game.h Draw3D.h Global.h InsideMac.h Interface.h Menu.h Settings.h File.h Define.h Compute.h Strategies.h Connection.h AppleEvent.h StringLib.h SoundPlay.h
	 {PPC} {PPCOptions}  DoEvent.c -o "{TempFolder}DoEvent.o"
"{TempFolder}Draw3D.o"   Draw3D.c Draw3D.h Rules.h Error.h Game.h Board.h Contest.h Compute.h Abalone.h AEHandler.h Global.h Settings.h Menu.h AppleEvent.h StringLib.h Connection.h Interface.h Define.h DoEvent.h File.h InsideMac.h SoundPlay.h Strategies.h
	 {PPC} {PPCOptions}  Draw3D.c -o "{TempFolder}Draw3D.o"
"{TempFolder}Error.o"   Error.c Error.h
	 {PPC} {PPCOptions}  Error.c -o "{TempFolder}Error.o"
"{TempFolder}File.o"   File.c File.h Game.h Board.h Contest.h Error.h Rules.h Global.h Settings.h Connection.h AEHandler.h AppleEvent.h Interface.h Define.h StringLib.h Compute.h Abalone.h DoEvent.h Draw3D.h InsideMac.h Menu.h SoundPlay.h Strategies.h
	 {PPC} {PPCOptions}  File.c -o "{TempFolder}File.o"
"{TempFolder}Game.o"   Game.c Game.h Board.h Contest.h Error.h Rules.h Global.h Settings.h Connection.h AEHandler.h Menu.h Abalone.h AppleEvent.h Define.h DoEvent.h File.h Interface.h StringLib.h Compute.h Strategies.h SoundPlay.h Draw3D.h InsideMac.h
	 {PPC} {PPCOptions}  Game.c -o "{TempFolder}Game.o"
"{TempFolder}Global.o"   Global.c Global.h Rules.h Error.h Game.h Board.h Contest.h Compute.h Abalone.h AEHandler.h Menu.h AppleEvent.h StringLib.h Connection.h Interface.h Define.h Settings.h DoEvent.h Draw3D.h File.h InsideMac.h SoundPlay.h Strategies.h
	 {PPC} {PPCOptions}  Global.c -o "{TempFolder}Global.o"
"{TempFolder}InsideMac.o"   InsideMac.c InsideMac.h
	 {PPC} {PPCOptions}  InsideMac.c -o "{TempFolder}InsideMac.o"
"{TempFolder}Interface.o"   Interface.c Interface.h Contest.h Error.h Rules.h Game.h Board.h Compute.h Abalone.h AEHandler.h Global.h Menu.h AppleEvent.h Connection.h Define.h DoEvent.h File.h Draw3D.h InsideMac.h Settings.h Strategies.h SoundPlay.h
	 {PPC} {PPCOptions}  Interface.c -o "{TempFolder}Interface.o"
"{TempFolder}Rules.o"   Rules.c Rules.h Error.h Game.h Board.h Contest.h Compute.h Abalone.h AEHandler.h Global.h Settings.h Connection.h StringLib.h Menu.h AppleEvent.h Define.h DoEvent.h Draw3D.h InsideMac.h Interface.h File.h SoundPlay.h Strategies.h
	 {PPC} {PPCOptions} -O time  Rules.c -o "{TempFolder}Rules.o"
"{TempFolder}Settings.o"   Settings.c Settings.h Rules.h Error.h Game.h Board.h Contest.h Compute.h Abalone.h AEHandler.h Global.h Menu.h AppleEvent.h StringLib.h Connection.h Interface.h Define.h DoEvent.h Draw3D.h File.h InsideMac.h SoundPlay.h Strategies.h
	 {PPC} {PPCOptions}  Settings.c -o "{TempFolder}Settings.o"
"{TempFolder}SoundPlay.o"   SoundPlay.c SoundPlay.h Rules.h Error.h Game.h Board.h Contest.h Compute.h Abalone.h AEHandler.h Global.h Settings.h Menu.h AppleEvent.h StringLib.h Connection.h Interface.h Define.h DoEvent.h Draw3D.h File.h InsideMac.h Strategies.h
	 {PPC} {PPCOptions}  SoundPlay.c -o "{TempFolder}SoundPlay.o"
"{TempFolder}Strategies.o"   Strategies.c Strategies.h Board.h Contest.h Error.h Rules.h Game.h Draw3D.h Global.h Settings.h Connection.h StringLib.h InsideMac.h Interface.h Compute.h Abalone.h File.h Define.h Menu.h SoundPlay.h
	 {PPC} {PPCOptions} -O time  Strategies.c -o "{TempFolder}Strategies.o"
"{TempFolder}StringLib.o"   StringLib.c StringLib.h
	 {PPC} {PPCOptions}  StringLib.c -o "{TempFolder}StringLib.o"

Abalone_68K    {68KOBJECTS}
	Link {LOptions} 
		{68KOBJECTS} 
		"{Libraries}"MathLib.o 
		#"{CLibraries}"Complex.o 
		"{CLibraries}"StdClib.o 
		"{Libraries}"MacRuntime.o 
		"{Libraries}"IntEnv.o 
		"{Libraries}"ToolLibs.o 
		"{Libraries}"Interface.o 
		-o Abalone_68K

"{TempFolder}Arnold.a.o"   Arnold.a Arnold.h Strategies.h Compute.h Rules.h Error.h Global.h
	 ASM -case On Arnold.a -o "{TempFolder}"
#Make a library for use with MetroWerks
	 ASM -case On Arnold.a.4mw -o "{TempFolder}"
	 lib "{TempFolder}Arnold.a.4mw.o" -o Arnold.lib.o
	 
"{TempFolder}Settings.c.o"   Settings.c Settings.h
	 {C} {COptions} Settings.c -o "{TempFolder}"

"{TempFolder}Global.c.o"   Global.c Global.h  Settings.h
	 {C} {COptions} Global.c -o "{TempFolder}"
	 
"{TempFolder}InsideMac.c.o"   InsideMac.c InsideMac.h
	 {C} {COptions} InsideMac.c -o "{TempFolder}"
	 
"{TempFolder}StringLib.c.o"   StringLib.c StringLib.h
	 {C} {COptions} StringLib.c -o "{TempFolder}"
	 
"{TempFolder}Error.c.o"  Error.c Error.h
	 {C} {COptions}  Error.c -o "{TempFolder}"
	 
"{TempFolder}Rules.c.o"   Rules.c Rules.h Global.h
	 {C} {COptions} Rules.c -o "{TempFolder}"
	 
"{TempFolder}Contest.c.o"   Contest.c Contest.h Rules.h Global.h
	 {C} {COptions} Contest.c -o "{TempFolder}"
	 
"{TempFolder}Compute.c.o"   Compute.c Compute.h Rules.h Error.h Global.h
	 {C} {COptions} Compute.c -o "{TempFolder}"
	 
"{TempFolder}Strategies.c.o"   Strategies.c Strategies.h Compute.h Rules.h Error.h Global.h
	 {C} {COptions} Strategies.c -o "{TempFolder}"
	 
"{TempFolder}Arnold.c.o"   Arnold.c Arnold.h Strategies.h Compute.h Rules.h Error.h Global.h
	 {C} {COptions} Arnold.c -o "{TempFolder}"
	 
"{TempFolder}File.c.o"   File.c File.h Rules.h Global.h
	 {C} {COptions} File.c -o "{TempFolder}"
	 
"{TempFolder}Board.c.o"   Board.c  Board.h Compute.h Rules.h Error.h Global.h Settings.h
	 {C} {COptions} Board.c -o "{TempFolder}"
	 
"{TempFolder}Game.c.o"   Game.c  Game.h Board.h Compute.h Rules.h Error.h Global.h Settings.h
	 {C} {COptions} Game.c -o "{TempFolder}"
	 
"{TempFolder}Interface.c.o"   Interface.c Interface.h Board.h Compute.h Rules.h Error.h Global.h Settings.h
	 {C} {COptions} Interface.c -o "{TempFolder}"
	 
"{TempFolder}Draw3D.c.o"   Draw3D.c Draw3D.h  Board.h Compute.h Rules.h Error.h Global.h Settings.h
	 {C} {COptions} Draw3D.c -o "{TempFolder}"
	 
"{TempFolder}SoundPlay.c.o"   SoundPlay.c SoundPlay.h Global.h
	 {C} {COptions} SoundPlay.c -o "{TempFolder}"
	 
"{TempFolder}DoEvent.c.o"   DoEvent.c DoEvent.h Board.h Error.h Global.h Menu.h
	 {C} {COptions} DoEvent.c -o "{TempFolder}"

"{TempFolder}Connection.c.o"   Connection.c Connection.h AEHandler.h Board.h Error.h Game.h Global.h
	 {C} {COptions} Connection.c -o "{TempFolder}"

"{TempFolder}AppleEvent.c.o"   AppleEvent.c AppleEvent.h AEHandler.h Board.h Error.h Game.h Global.h
	 {C} {COptions} AppleEvent.c -o "{TempFolder}"

"{TempFolder}AEHandler.c.o"   AEHandler.c AEHandler.h AppleEvent.h Board.h Error.h Game.h Global.h
	 {C} {COptions} AEHandler.c -o "{TempFolder}"

"{TempFolder}Abalone.c.o"   Abalone.c Abalone.h AEHandler.h AppleEvent.h Board.h  Error.h Global.h Menu.h
	 {C} {COptions} Abalone.c -o "{TempFolder}"
