#ifndef APPLEEVENT_H
#define APPLEEVENT_H

#ifndef THINK_C
#include <Events.h>
#include <Types.h>
#endif
#include <AppleEvents.h>

void			InitAppleEvents (void);
void			DoHighLevelEvent (EventRecord *event);
OSErr			GetTargetInfo (AEAddressDesc targetDesc, char *zone, char *machine, char *application);
OSErr			MakeTarget (AEAddressDesc *target, Boolean sendDirect, short replyMode, Str255 prompt, Str255 applListLabel, PPCFilterUPP portFilter);

#endif


#ifdef APPLE_EVENT_C

#ifndef THINK_C
#include <GestaltEqu.h>
#include <Menus.h>
#include <StandardFile.h>
#endif

#include "AEHandler.h"
#include "Error.h"
#include "OSUtils.h"
#include "StringLib.h"


#define kCustomEventClass	'CUST'

#define keyLongReply		'KLRP'
#define keyShortReply		'KSRP'
#define keyGameID			'GAME'
#define keyTime				'TIME'

#define typeTheBoard		'BORD'
#define typeGame			'GAME'


#define keyReplyErr			'errn'

#endif