#ifndef DO_EVENT_H
#define DO_EVENT_H

#ifndef THINK_C
#include <Events.h>
#endif

void		DoEvent (EventRecord *event);
void		DoEndOfGame (short winner);
void		DoMenuCommand (long menuResult);
void		Terminate (void);



#endif


#ifdef DO_EVENT_C

#include "Abalone.h"
#include "AEHandler.h"
#include "AppleEvent.h"
#include "Board.h"
#include "Compute.h"
#include "Connection.h"
#include "Define.h"
#include "Draw3D.h"
#include "Error.h"
#include "File.h"
#include "Game.h"
#include "Global.h"
#include "InsideMac.h"
#include "Interface.h"
#include "Menu.h"
#include "Rules.h"
#include "Settings.h"
#include "SoundPlay.h"

#ifndef THINK_C
#include <AppleEvents.h>
#include <Controls.h>
#include <Desk.h>
#include <Dialogs.h>
#include <Errors.h>
#include <Files.h>
#include <Fonts.h>
#include <Limits.h>
#include <Memory.h>
#include <Menus.h>
#include <OSUtils.h>
#include <QuickDraw.h>
#include <Resources.h>
#include <TextEdit.h>
#include <ToolUtils.h>
#include <Types.h>
#include <Windows.h>
#endif
#include <Picker.h>

void		DoAbout (short menu, short item);
void		DoUpdate (WindowPtr window);
void		DoActivate (WindowPtr window, Boolean becomingActive);
void		DoContentClick (WindowPtr window, EventRecord *event);
void		DoSettingsMenu (short item);
void		DoColorMenu (short item);
void		DoBackgroundMenu (short item);
Boolean		DoCloseWindow (WindowPtr window);
pascal void	PlayerBallItemProc (WindowPtr wp, short item);

enum _answer
{
	dont_save = 1,
	save,
	cancel_it
};
enum _answer AskSave (void);

void	ConfirmAndSaveAndMaybeThen (void (*doMe)(void));

#endif
