#ifndef DRAW_3D_H
#define DRAW_3D_H


#include "Rules.h"

#include <QuickDraw.h>

void	DrawBallColor3D (Field field, char color);
//	This is the function this whole file has been split off for from Interface.
//	Its purpose is to draw a ball as nice as we can.
//	To do this, a special palette must be created runtime,
//	and ofscreens GWorlds containing the balls must be created beforehand.
//	That's what the rest of this file is about.

void DrawFieldColor3D (Field field);
//	Added to draw field background picture

void DrawBackground (WindowPtr abaloneWindow);


void	Init3D (void);
void	Inval3D (void);
void	Update3D (void);

#endif

#ifdef DRAW_3D_C

#include "Error.h"
#include "Global.h"
#include "InsideMac.h"
#include "Interface.h"
#include "Menu.h"
#include "Settings.h"

#ifndef THINK_C
#include <Memory.h>
#include <Picker.h>
#include <Resources.h>
//#include <SysEqu.h>
#include <TextEdit.h>
#include <Types.h>
#include <Windows.h>
#endif
#include <Palettes.h>
#include <QDOffscreen.h>

void	SetUpPalette (void);
void	SetUpGWorlds (void);
void	UpdatePalette (void);
void	UpdateGWorlds (void);


#endif

