#ifndef ERROR_H
#define ERROR_H

enum _warning
{
	ONE_FILE_ONLY = 1,
	PRINTING_NOT_IMPLEMENTED,
	HIGH_LEVEL_EVENT_FAIL,
	FILE_NOT_SAVED,
	PREFERENCES_INVALID,
	PREFERENCES_NOT_SAVED,
	SND_RESOURCE_MISSING,
	SOUND_TURNED_OFF,
	GRAPHIC_3D_TURNED_OFF,
	SHORT_ON_MEMORY,
	OUT_OF_SYNC,
	PPC,
	NO_CONNECTION_SELECTED,
	NO_CONNECTION_ESTABLISHED
};

enum _assertion
{
	NEEDS_SYSTEM_7 = 1,
	INSUFFICIENT_MEMORY,
	HIGH_LEVEL_EVENT_INSTALL,
	RESOURCE_MISSING,
	PREFERENCES_GET_ERROR,
	PREFERENCES_PUT_ERROR,
	DIFFERENT_VERSION_ERROR,
	UNKNOWN_SEARCH_METHOD,
	DEFAULT_IN_CASE,
	ILLEGAL_PARAMETER,
	CONNECTION_PROTOCOL,
	PPC_DATA,
	INTERNAL_ERROR
};

void		Warning (short messageResID);
void		Assert (short condition, short messageResID);


#ifndef THINK_C
#include <Dialogs.h>
#include <Memory.h>
#include <SegLoad.h>
#include <ToolUtils.h>
#endif

#endif

#ifdef ERROR_C
#endif
