#ifndef GLOBAL_H
#define GLOBAL_H

#include "Rules.h"
#include "Settings.h"

#ifndef THINK_C
#include <QuickDraw.h>
#include <Types.h>
#endif

#define TopLeft(aRect)	(* (Point *) &(aRect).top)
#define BotRight(aRect)	(* (Point *) &(aRect).bottom)

#define BIG_WIDTH		54
#define BIG_HEIGHT		47
#define SMALL_WIDTH		38
#define SMALL_HEIGHT	33

extern Settings			gSet;
extern WindowPtr		gAbaloneWindow;
					//	The application's main window.
extern Boolean			gQuitFlag;
extern Boolean			gInBackground;
					//	Is the program currently in the background?
extern Boolean			gBlackAndWhite;
					//	Is the monitor currently (including always) in black & white mode?
extern Boolean			gInterrupted;
					//	Did the user interrupt thinking (i.e. is the result useable?)?
extern unsigned long	gMoveStartTicks;
					//	Time the computation of the best move started (in ticks ::= 1/60 seconds)				 
extern unsigned long	gProgStartTicks;
					//	TickCount value at program startup 				 
extern Boolean			gFileSaved;
					//	Has the current game position been saved?
extern short			gCurrentValue;
					//	Value of the current board.					
extern MoveData			gLastMove;

#endif