#define STRINGLIB_C
#include "StringLib.h"


#if defined(__MWERKS__)
#pragma segment __%Main
#else
#pragma segment Main
#endif


#define BASE 10


void
appendi2cstr (char *cstr, short i)
{
	i2cstr(cstr + strlen(cstr), i);
}



short
appendi2pstr (char *pstr, short i)
{
	short	j = 0;
	if (i >= BASE) j = appendi2pstr (pstr, i / BASE);
	pstr[++*pstr] = "0123456789ABCDEF"[i - j];
	return (BASE * i);
}



short
i2cstr (char *cstr, short i)
{
	short	j;

	cstr[1] = j = 0;
	if (i >= BASE)
		j = i2cstr (cstr + 1, i / BASE);
	*cstr = "0123456789ABCDEF"[i - j];
	return (BASE * i);
}



void
i2pstr (char *pstr, short i)
{
	*pstr = 0;
	appendi2pstr (pstr, i);
}



void
pstrcat (char *d, char *s)
{
	short	i;

	for (i = 0; i < s[0];)
		d[++d[0]] = s[++i];
}



void
pstrcpy (char *d, char *s)
{
	short	i = *s;
	do {
		d[i] = s[i];
	} while (i--);
}



void
pstrncpy (char *d, char *s, short n)
{
	short	i = *s;
	do {
		d[i] = s[i];
	} while (i-- && n--);
}
