#include "timing.h"
#include "Horizontal bars wipe.h"

#define CorrectTime 1

void HorizontalBarsWipe(GrafPtr sourceGrafPtr, GrafPtr destGrafPtr, Rect boundsRect)
{
	RgnHandle		leftRgn, rightRgn, fullRgn;
	short			offset;
	short			iter;
	short			barHeight;
	Point			zeroPoint;
	short			theWindowHeight, theWindowWidth;
	
	theWindowWidth=boundsRect.right-boundsRect.left;
	theWindowHeight=boundsRect.bottom-boundsRect.top;
	offset=2;
	barHeight=1;
	zeroPoint.h=0;
	zeroPoint.v=barHeight;
	
	leftRgn=NewRgn();
	OpenRgn();
		MoveTo(0, 0);
		iter=0;
		while (iter<theWindowHeight)
		{
			Line(offset, 0);
			Line(0, barHeight);
			Line(-offset, 0);
			Line(0, -barHeight);
			Move(0, barHeight*2);
			iter+=barHeight*2;
		}
	CloseRgn(leftRgn);
	OffsetRgn(leftRgn, boundsRect.left, boundsRect.top);
	
	rightRgn=NewRgn();
	OpenRgn();
		MoveTo(theWindowWidth, barHeight);
		iter=0;
		while (iter<theWindowHeight)
		{
			Line(-offset, 0);
			Line(0, barHeight);
			Line(offset, 0);
			Line(0, -barHeight);
			Move(0, barHeight*2);
			iter+=barHeight*2;
		}
	CloseRgn(rightRgn);
	OffsetRgn(rightRgn, boundsRect.left, boundsRect.top);
	fullRgn=NewRgn();
	
	while (!PtInRgn(zeroPoint, rightRgn))
	{
		StartTiming();
		UnionRgn(leftRgn, rightRgn, fullRgn);
		CopyBits(&(sourceGrafPtr->portBits), &(destGrafPtr->portBits), &boundsRect, &boundsRect, 0,
			fullRgn);
		SetEmptyRgn(fullRgn);
		OffsetRgn(leftRgn, offset, 0);
		OffsetRgn(rightRgn, -offset, 0);
		TimeCorrection(CorrectTime);
	}
	
	CopyBits(&(sourceGrafPtr->portBits), &(destGrafPtr->portBits), &boundsRect, &boundsRect, 0, 0L);
	
	DisposeRgn(leftRgn);
	DisposeRgn(rightRgn);
	DisposeRgn(fullRgn);
}
