#ifndef __MY_EDITOR_FILES_H__
#define __MY_EDITOR_FILES_H__

#include "pent globals.h"

#ifdef __cplusplus
extern "C" {
#endif

extern	void InitBoardsFileFS(void);
extern	FSSpec* GetBoardsFileFSPtr(void);
extern	void SetGroupAndBoard(short menuID, short menuItem);
extern	void SetBoardCheckmark(void);
extern	OSErr BuildBoardMenu(MenuHandle theMenu);
extern	Boolean GroupNameExistsQQ(Str255 groupName);
extern	OSErr DeleteOneGroup(Str255 groupName);
extern	OSErr DeleteOneBoard(Str255 groupName, short boardIndex);
extern	OSErr AddOneGroup(Str255 groupName);
extern	OSErr AddOneBoard(Str255 groupName, MyBoardPtr boardPtr);
extern	OSErr ReplaceOneGroup(Str255 oldGroup, Str255 newGroup);
extern	OSErr ReplaceOneBoard(Str255 oldGroup, short boardIndex, MyBoardPtr boardPtr);
extern	OSErr GetOneBoard(Str255 groupName, short boardIndex, MyBoardPtr boardPtr);

#ifdef __cplusplus
}
#endif

#endif
