#ifndef __PENT_MEAT_H__
#define __PENT_MEAT_H__

#include "pent globals.h"

#ifdef __cplusplus
extern "C" {
#endif

extern	void RemovePiece(WindowRef theWindow);
extern	void PlaceUnknownPiece(WindowRef theWindow);
extern	GameError PlacePiece(WindowRef theWindow, short pieceToMatch, short *actualPiece);
extern	Boolean MatchPiece(short);
extern	Boolean CheckPiece(short);
extern	Boolean BlankRow(short);
extern	Boolean BlankCol(short);
extern	void RotatePiece(void);
extern	void FlipPiece(void);

#ifdef __cplusplus
}
#endif

#endif
