#ifndef __SOUND_LAYER_H__
#define __SOUND_LAYER_H__

#define NUM_SOUNDS		6

enum
{
	sound_startgame=1000,
	sound_placepiece,
	sound_wingame,
	sound_on,
	sound_undo,
	sound_error
};

extern	Boolean				gSoundToggle;
extern	Boolean				gSoundAvailable;
extern	Boolean				gSoundIsFinishedPlaying;

#ifdef __cplusplus
extern "C" {
#endif

extern	void InitTheSounds(void);
extern	void DoSound(short whichSound, Boolean async);
extern	Boolean SoundChannelIsOpenQQ(void);
extern	void CloseTheSoundChannel(void);

#ifdef __cplusplus
}
#endif

#endif
