// SpriteFile.h by Stefan C. Sinclair Copyright  1995 - 1996 All Rights Reserved.

#ifndef _SPRITEFILE_
#define _SPRITEFILE_

#ifndef _MOVIES_
#include <Movies.h>
#endif

#define kSpriteFileType		'Ned2'
#define kArenaFileType		'PICT'

// structs

typedef StandardFileReply SpriteFileRec;
typedef SpriteFileRec *SpriteFilePtr, **SpriteFileH;

typedef StandardFileReply CombatZoneFileRec;
typedef CombatZoneFileRec *CombatZoneFilePtr, **CombatZoneFileH;

struct QNode { /* self-referential data structure */
	SpriteFileRec data;
	struct QNode *nextPtr;
};

typedef struct QNode QNode;
typedef QNode *QNodePtr, **QNodeH;
typedef SpriteFileRec QData;

struct KNode { /* self-referential data structure */
	CombatZoneFileRec data;
	struct KNode *nextPtr;
};

typedef struct KNode KNode;
typedef KNode *KNodePtr, **KNodeH;
typedef CombatZoneFileRec KData;

// Function Protos
short GetMySpriteFile(SpriteFilePtr theFile);
short GetMyArenaFile(CombatZoneFilePtr theFile);
pascal Boolean MySpriteFileFilter(fileParam *thePB );
pascal Boolean MyArenaFileFilter(fileParam *thePB );

#endif /* SpriteFile */