/*******************************************************
*** SpriteForeground.h
*** By: Stefan C. Sinclair
*** Copyright  1996 All Rights Reserved Worldwide.
*** Brief description here
*******************************************************/

#ifndef __SPRITEFOREGROUND__
#define __SPRITEFOREGROUND__

#ifndef __SPRITEWORLD__
#include "SpriteWorld.h"
#endif

#ifndef __SPRITE__
#include "Sprite.h"
#endif

#define kFirstForegroundSpriteID	0

#define kBagLadySpriteID			0
#define kBagLadyPICTID			520
#define kBagLadyMaskPICTID		530

#define kWheelChairSpriteID			1
#define kWheelChairPICTID			540
#define kWheelChairMaskPICTID		550

#define kLastForegroundSpriteID		1


//Function protos
OSErr CreateForegroundSprite(void *spriteStorageP, short foregroundSpriteID);
void SetupForegroundSprite(SpritePtr spriteP, short foregroundSpriteID);

// WheelChairSprite
void SetupWheelChairSprite(SpritePtr spriteP);
void WheelChairSpriteCollideProc(SpritePtr srcSpriteP,SpritePtr dstSpriteP,Rect* sectRect);
SW_FUNC void WheelChairMoveProc(SpritePtr srcSpriteP, Point* spritePoint);

// BagLadySprite
void SetupBagLadySprite(SpritePtr spriteP);
void BagLadySpriteCollideProc(SpritePtr srcSpriteP,SpritePtr dstSpriteP,Rect* sectRect);
SW_FUNC void BagLadyMoveProc(SpritePtr srcSpriteP, Point* spritePoint);

#endif // end SpriteForeground