// SpriteHelp.h by Stefan C. Sinclair Copyright  1996 All Rights Reserved

#ifndef _SPRITEHELP_
#define _SPRITEHELP_

#ifndef _LIMITS_
#include <limits.h>
#endif

#ifndef _PICTUTIL_
#include <PictUtil.h>
#endif

#ifndef _SPRITEERROR_
#include "SpriteError.h"
#endif

#define kMoveToFront		(WindowPtr)-1L
#define kScrollBarWidth		16
#define	kNilActionProc		nil
#define kSleep				LONG_MAX

#define	kVisible			true
#define	kStartValue			1
#define	kMinValue			1
#define	kNilRefCon			0L
#define	kEmptyTitle			"\p"

#define	kEmptyString		"\p"
#define kNilFilterProc		nil

/***************/
/***  Functions  ****/
/***************/
void	Helper(short whichOne);
void	SetUpScrollBar( WindowPtr window );
pascal void ScrollProc( ControlHandle theControl, short partCode );
void	HelpEventLoop( void );
void	HelpDoEvent( EventRecord *eventPtr );
void	HelpHandleMouseDown( EventRecord *eventPtr );

#endif // end SpriteHelp