/*
 *	Project:		SimpleApp
 *
 *	Filename: 		Utilities.h
 *
 *	Author: 		Marco Piovanelli
 *
 *	Revision History:
 *
 *			1996.05.24				MP		created this file
 *
 */

#ifndef __MEMORY__
#include <Memory.h>
#endif

#ifndef __FILES__
#include <Files.h>
#endif

#ifndef __APPLEEVENTS__
#include <AppleEvents.h>
#endif

void Assert ( Boolean inAssertion ) ;
void BlockClear ( void * ioBlockPtr, Size inBlockSize ) ;
void InitDesc ( AEDesc * ioDesc ) ;
void ForgetDesc ( AEDesc * ioDesc ) ;
OSErr FindParentSpec ( FSSpec * ioFileSpec ) ;
